<div *ngIf="activeSwitch">
	<!-- If editing the current task -->
	<div *ngIf="editMode">

    <md-card>
      <form class="form-inline" id="editForm" (ngSubmit)="onSubmit(f)" #f="ngForm">
        <md-input-container>
          <label>
            <input mdInput name="taskName" id="taskName" class="form-control" ngModel={{task.name}}><br>
          </label>
        </md-input-container>
        <br>
        <md-input-container>
          <label>
            <textarea mdInput mdTextareaAutosize name="taskDescription" id="taskDescription"  class="form-control" ngModel="{{task.description}}"></textarea>
          </label>
        </md-input-container>
        <md-card-actions>
          <button id="submit" md-button>
            <label class="material-icons">
              <md-icon>done</md-icon>
            </label>
            Apply
          </button>
          <button type="button" md-button  (click)="cancelEdit()">
            <label class="material-icons">
              <md-icon>clear</md-icon>
            </label>
            Cancel
          </button>
        </md-card-actions>
      </form>
    </md-card>
	</div>
	<!-- Selected, but not edited -->
  <div *ngIf="!editMode">
    <md-card (click)="onClick($event)">
      <md-card-title [ngClass]="completeClass">
        {{taskId + 1}}. {{task.name}}
      </md-card-title>
      <p>{{task.description}}</p>
		  <!-- Checkbox switching -->
      <button *ngIf="!task.completed" md-button (click)="switchCompletion()">
        <label class="material-icons">
          <md-icon>check_box_outline_blank</md-icon>
        </label>
        Not completed
      </button>
      <button *ngIf="task.completed" md-button (click)="switchCompletion()">
        <label class="material-icons">
          <md-icon>check_box</md-icon>
        </label>
        Completed
      </button>
      <!-- Edit button -->
      <button *ngIf="!task.completed" md-button (click)="editClick()">
        <label class="material-icons">
          <md-icon>mode_edit</md-icon>
        </label>
        Edit
      </button>
      <!-- Delete Button -->
      <button md-button class="material-icons" (click)="deleteClick()">
        <label class="material-icons">
          <md-icon>delete</md-icon>
        </label>
        Delete
      </button>
      <!-- Swap buttons -->
      <button md-button class="material-icons" (click)="swapUp()">
        <label class="material-icons">
          <md-icon>arrow_upward</md-icon>
        </label>
      </button>
      <button md-button (click)="swapDown()">
        <label class="material-icons">
          <md-icon>arrow_downward</md-icon>
        </label>
      </button>
    </md-card>
  </div>
</div>
<!-- Task not selected -->
<md-card *ngIf="!activeSwitch" (click)="onClick($event)">
  <h4 [ngClass]="completeClass" class="list-group-item-heading">
    {{taskId + 1}}. {{task.name}}
  </h4>
</md-card>
